/* Reset styles and set up basic layout */
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Base styles for the body */
body {
  background-color: white;
  color: #736e6a;
  line-height: 1.6;
  font-size: 16px;
}

/* Header styles */
header h1 {
  color: #2c2b29;
}

/* Image styles */
img {
  max-width: 100%;
  height: auto;
  display: block;
}

/* Layout styles for main content and header */
main,
header {
  margin: 2rem auto;
  padding: 0 2rem;
}

/* Heading styles */
h2 {
  color: #8d5f50;
  font-size: 2rem;
}

/* Prep time styles */
.prep-time h2 {
  color: #933c60;
  padding-bottom: 10px;
}

.prep-time {
  background-color: #fff7fc;
  padding: 1rem 2rem;
  margin-bottom: 2rem;
  border-radius: 5px;
}

.prep-time ul,
.prep-time ul li {
  padding-left: 1.5rem;
}

/* Ingredients and instructions styles */
.ingredients,
.instructions {
  margin-bottom: 2rem;
}

.ingredients ul,
.instructions ol {
  padding-left: 1.5rem;
}

.ingredients ul li::marker,
.instructions ol li::marker {
  color: #8d5f50;
  font-weight: bold;
}

/* Horizontal rule styles */
hr {
  border: none;
  border-top: 2px solid #e0dede;
  margin-top: 0.6rem;
  margin-bottom: 1.5rem;
}

/* Table styles */
table {
  width: 100%;
  border-collapse: collapse;
  margin-top: 15px;
}

table td,
table th {
  padding: 12px 0;
  border-bottom: 1px solid hsl(30, 18%, 87%);
}

table th {
  text-align: left;
  font-weight: 700;
  color: hsl(30, 10%, 30%);
}

td {
  color: #8d5f50;
  font-weight: 700;
  font-size: large;
}

/* Desktop View */

@media (min-width: 768px) {
  body {
    background-color: hsl(30, 54%, 90%);
  }

  article {
    background-color: white;
    max-width: 750px;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    margin: 2rem auto;
    /* explain why the margin put everything in the center */
    padding: 2rem;
  }

  .image-wrapper {
    overflow: hidden;
    border-radius: 10px;
  }
}
